commit:     315d95092d7a32cfe600ef8c8632e89950c8f4aa
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 26 23:17:47 2020 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Sun Apr 26 23:19:12 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=315d9509

dev-python/css-parser: Update PYTHON_COMPAT

Bug: https://bugs.gentoo.org/710390
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 dev-python/css-parser/css-parser-1.0.4-r1.ebuild | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/dev-python/css-parser/css-parser-1.0.4-r1.ebuild 
b/dev-python/css-parser/css-parser-1.0.4-r1.ebuild
index 6e64e14284f..16d755705e6 100644
--- a/dev-python/css-parser/css-parser-1.0.4-r1.ebuild
+++ b/dev-python/css-parser/css-parser-1.0.4-r1.ebuild
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
-PYTHON_COMPAT=( python3_{6,7} )
+PYTHON_COMPAT=( python3_{6,7,8} )
 
 inherit distutils-r1
 
@@ -15,3 +15,9 @@ SLOT="0"
 KEYWORDS="amd64 ~arm x86"
 
 BDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+# Tests fail under network-sandbox.
+RESTRICT+=" test"
+
+python_test() {
+       esetup.py test || die "tests failed under ${EPYTHON}"
+}

Reply via email to